Google Maps Search API
Powerful Google Maps SERP API to scrape business listings and local search results. Search for businesses across any industry and region with precise coordinate support. Returns structured listings including addresses, map pins, and primary contact information.
Tags: Google API
Parameters
| Name | Required | Type | Default | Description |
|---|---|---|---|---|
| query | Yes | string | The search query for Google Maps (e.g., 'restaurants', 'hospitals in New York'). | |
| ll | No | string | GPS coordinates for the search origin. Format: '@<latitude>,<longitude>,<zoom>'. Required for precise localization and pagination. | |
| domain | No | string | google.com | The Google domain to use for the search (e.g., 'google.com', 'google.co.uk'). See Google Domains. |
| language | No | string | en | Set the language for the results using its two-letter code (e.g., 'en' for English, 'fr' for French). See Google Language. |
| country | No | string | us | Set the target country code (e.g., 'us', 'uk') to localize results. See Google Countries. |
| data | No | string | Advanced Google Maps data parameter used for certain map/place-specific result filters and views. It can be copied from a Google Maps URL after applying filters, or constructed for specific place searches. This parameter is commonly used when type = "place". If you’re not familiar with it, you can leave it empty. | |
| place_id | No | string | The unique Google Place ID to directly retrieve information for a specific location. | |
| page | No | integer | 0 | The results pagination offset. Start at 0 and increment by 20 for each subsequent page. |
Copy Request
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/maps/search?query=coffee" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/maps/search?query=coffee", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/maps/search"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"query": "coffee"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/maps/search?query=coffee";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/maps/search?query=coffee", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}Response
Example:
json
{
"code": 200,
"message": "success",
"data": {
"search_results": [
{
"title": "787 Coffee",
"place_id": "ChIJ839Tv5Oxw4kRodHoU_vEnbQ",
"data_id": "0x89c3b193bf537ff3:0xb49dc4fb53e8d1a1",
"data_cid": "-5431968991815347807",
"gps_coordinates": {
"latitude": 40.6519739,
"longitude": -74.3477794
},
"provider_id": "/g/11xd_40hmd",
"rating": 4.9,
"reviews": 1247,
"price": "$10–20",
"type": "Coffee shop",
"types": [
"Coffee shop"
],
"type_ids": [
"coffee_shop"
],
"extensions": [
{
"from_the_business": [
"Identifies as Latino-owned",
"Identifies as LGBTQ+ owned",
"Small business"
]
},
{
"service_options": [
"Onsite services",
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Fast service",
"Great coffee",
"Great tea selection"
]
},
{
"popular_for": [
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible restroom",
"Wheelchair accessible seating"
]
},
{
"offerings": [
"Alcohol",
"Coffee",
"Quick bite"
]
},
{
"dining_options": [
"Lunch",
"Dessert"
]
},
{
"amenities": [
"Bar onsite",
"Restroom"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet",
"Trendy"
]
},
{
"crowd": [
"College students",
"Family-friendly",
"LGBTQ+ friendly"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments"
]
},
{
"parking": [
"Paid street parking",
"Parking"
]
},
{
"service_options": [
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Gluten-free options",
"Hot tea",
"Happy hour food",
"Private dining room",
"Vegan options",
"Wine"
]
},
{
"atmosphere": [
"Contemporary",
"Historic",
"Upscale"
]
},
{
"crowd": [
"Business dinner"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "218 E Broad St,Westfield, NJ 07090",
"open_state": "Open · Closes 7 PM",
"hours": "Open · Closes 7 PM",
"operating_hours": {
"thursday": "7 AM–7 PM",
"friday": "7 AM–7 PM",
"saturday": "7 AM–7 PM",
"sunday": "7 AM–7 PM",
"monday": "7 AM–7 PM",
"tuesday": "7 AM–7 PM",
"wednesday": "7 AM–7 PM"
},
"phone": "+19734042218",
"website": "https://www.787coffee.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipPCd5W0i9ZOOC-J993n_MNRTyJXuGtJpDidedtH=w86-h114-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipPCd5W0i9ZOOC-J993n_MNRTyJXuGtJpDidedtH=w960-h1280-k-no",
"google_maps_url": "https://www.google.com/maps/place/787+Coffee/@40.6519739,-74.3477794,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b193bf537ff3:0xb49dc4fb53e8d1a1!8m2!3d40.6519739!4d-74.3477794!16s",
"rank": 1
},
{
"title": "CLO Coffee Co.",
"place_id": "ChIJq5PBRXO3w4kRqdnEpYThCS0",
"data_id": "0x89c3b77345c193ab:0x2d09e184a5c4d9a9",
"data_cid": "3245372966330227113",
"gps_coordinates": {
"latitude": 40.5650836,
"longitude": -74.3826181
},
"provider_id": "/g/11h8fbwf6c",
"rating": 4.6,
"reviews": 474,
"price": "$1–10",
"type": "Coffee shop",
"types": [
"Coffee shop"
],
"type_ids": [
"coffee_shop"
],
"extensions": [
{
"service_options": [
"Outdoor seating",
"Delivery",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection"
]
},
{
"popular_for": [
"Breakfast",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom",
"Wheelchair accessible seating"
]
},
{
"offerings": [
"Coffee",
"Quick bite"
]
},
{
"dining_options": [
"Breakfast",
"Dessert",
"Seating",
"Table service"
]
},
{
"amenities": [
"Restroom",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet",
"Trendy"
]
},
{
"crowd": [
"College students"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"parking": [
"Free parking lot",
"Free street parking",
"Parking"
]
},
{
"service_options": [
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Private dining room",
"Vegan options",
"Wine"
]
},
{
"dining_options": [
"Order ahead",
"Brunch",
"Dinner"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary",
"Historic",
"Romantic"
]
},
{
"crowd": [
"Business dinner"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Price level",
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "3 Stephenville Pkwy,Edison, NJ 08820",
"open_state": "Open · Closes 4 PM",
"hours": "Open · Closes 4 PM",
"operating_hours": {
"thursday": "8 AM–4 PM",
"friday": "8 AM–4 PM",
"saturday": "9 AM–4 PM",
"sunday": "9 AM–4 PM",
"monday": "8 AM–4 PM",
"tuesday": "8 AM–4 PM",
"wednesday": "8 AM–4 PM"
},
"phone": "+17324829229",
"website": "http://clocoffeecompany.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipP5HzNFHK-InpIR6-tjyBbAv8hRWCsDeGbReG_8=w86-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipP5HzNFHK-InpIR6-tjyBbAv8hRWCsDeGbReG_8=w3024-h3025-k-no",
"google_maps_url": "https://www.google.com/maps/place/CLO+Coffee+Co./@40.5650836,-74.3826181,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b77345c193ab:0x2d09e184a5c4d9a9!8m2!3d40.5650836!4d-74.3826181!16s",
"rank": 2
},
{
"title": "La Cafe",
"place_id": "ChIJ_bctU2e2w4kRfaSxwJB40oc",
"data_id": "0x89c3b667532db7fd:0x87d27890c0b1a47d",
"data_cid": "-8659726570376551299",
"gps_coordinates": {
"latitude": 40.562053299999995,
"longitude": -74.3346442
},
"provider_id": "/g/1tds7m__",
"rating": 4.3,
"reviews": 3,
"price": "$$",
"type": "Cafe",
"types": [
"Cafe"
],
"type_ids": [
"cafe"
],
"extensions": [
{
"service_options": [
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Great coffee"
]
},
{
"popular_for": [
"Breakfast"
]
},
{
"accessibility": [
"Wheelchair accessible parking lot"
]
},
{
"offerings": [
"Coffee",
"Quick bite"
]
},
{
"dining_options": [
"Breakfast",
"Dessert"
]
},
{
"atmosphere": [
"Casual"
]
},
{
"payments": [
"Debit cards"
]
},
{
"parking": [
"On-site parking"
]
},
{
"service_options": [
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Rooftop seating"
]
},
{
"offerings": [
"Happy hour drinks",
"Happy hour food"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Upscale"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"payments": [
"Price level",
"Cash-only"
]
}
],
"address": "379 Thornall St,Edison, NJ 08837",
"open_state": "Open · Closes 10:30 AM · Reopens 11 AM",
"hours": "Open · Closes 10:30 AM · Reopens 11 AM",
"operating_hours": {
"thursday": "7:30–10:30 AM",
"friday": "7:30–10:30 AM",
"saturday": "Closed",
"sunday": "Closed",
"monday": "7:30–10:30 AM",
"tuesday": "7:30–10:30 AM",
"wednesday": "7:30–10:30 AM"
},
"unclaimed_business": true,
"thumbnail": "https://lh3.googleusercontent.com/gps-cs-s/AHVAwepExVeK-CPqq-BfCpYY4blQDTUQwJtSY-colyo3kpTou3lOv9cO8lgtmzuJ14cxyafGT3b_PzX8N20bndzvNbog5dHh31xNPBQsiRiFzELXaRagwyFMoj3H3uCTlXT_TblCBh3M=w114-h86-k-no",
"image": "https://lh3.googleusercontent.com/gps-cs-s/AHVAwepExVeK-CPqq-BfCpYY4blQDTUQwJtSY-colyo3kpTou3lOv9cO8lgtmzuJ14cxyafGT3b_PzX8N20bndzvNbog5dHh31xNPBQsiRiFzELXaRagwyFMoj3H3uCTlXT_TblCBh3M=w4032-h3024-k-no",
"google_maps_url": "https://www.google.com/maps/place/La+Cafe/@40.562053299999995,-74.3346442,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b667532db7fd:0x87d27890c0b1a47d!8m2!3d40.562053299999995!4d-74.3346442!16s",
"rank": 3
},
{
"title": "Coffee Culture Roastery",
"place_id": "ChIJUasMIIW7w4kRfYDtju4cLoI",
"data_id": "0x89c3bb85200cab51:0x822e1cee8eed807d",
"data_cid": "-9066277188924505987",
"gps_coordinates": {
"latitude": 40.6842885,
"longitude": -74.440185
},
"provider_id": "/g/11hst9csqb",
"rating": 4.8,
"reviews": 82,
"type": "Coffee roasters",
"types": [
"Coffee roasters"
],
"type_ids": [
"coffee_roasters"
],
"extensions": [
{
"service_options": [
"Onsite services",
"Takeout",
"Delivery"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom",
"Wheelchair accessible seating"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments"
]
},
{
"parking": [
"Free parking lot",
"Free street parking"
]
},
{
"from_the_business": [
"Identifies as veteran-owned"
]
},
{
"payments": [
"Cash-only"
]
}
],
"address": "462 Springfield Ave,Berkeley Heights, NJ 07922",
"open_state": "Open · Closes 11 AM",
"hours": "Open · Closes 11 AM",
"operating_hours": {
"thursday": "7–11 AM",
"friday": "7–11 AM",
"saturday": "7–11 AM",
"sunday": "7–11 AM",
"monday": "Closed",
"tuesday": "7–11 AM",
"wednesday": "7–11 AM"
},
"phone": "+12012404689",
"thumbnail": "https://lh3.googleusercontent.com/gps-cs-s/AHVAwerQC_SOz4CWywczd3L73AqktwpwHLk_JnlzU8IF9F08lIMEA2qQBbfJtZiJWrRkoKvUj9Lf4fZsFTUujrCZjbkUmyCUEIPBIWV-sjRFS9l5TjcZXCrDj0o6wLWSTAc-nwfkUZgffQ=w86-h114-k-no",
"image": "https://lh3.googleusercontent.com/gps-cs-s/AHVAwerQC_SOz4CWywczd3L73AqktwpwHLk_JnlzU8IF9F08lIMEA2qQBbfJtZiJWrRkoKvUj9Lf4fZsFTUujrCZjbkUmyCUEIPBIWV-sjRFS9l5TjcZXCrDj0o6wLWSTAc-nwfkUZgffQ=w4284-h5712-k-no",
"google_maps_url": "https://www.google.com/maps/place/Coffee+Culture+Roastery/@40.6842885,-74.440185,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3bb85200cab51:0x822e1cee8eed807d!8m2!3d40.6842885!4d-74.440185!16s",
"rank": 4
},
{
"title": "Coffee Mill Roasters",
"place_id": "ChIJn_zOoSusw4kRCCZD1h7kcws",
"data_id": "0x89c3ac2ba1cefc9f:0xb73e41ed6432608",
"data_cid": "825253977833809416",
"gps_coordinates": {
"latitude": 40.7243247,
"longitude": -74.3075842
},
"provider_id": "/g/1hg4vx8dy",
"rating": 4.2,
"reviews": 343,
"price": "$1–10",
"type": "Coffee shop",
"types": [
"Coffee shop",
"Cafe",
"Espresso bar",
"Internet cafe"
],
"type_ids": [
"coffee_shop",
"cafe",
"espresso_bar",
"internet_cafe"
],
"extensions": [
{
"service_options": [
"Outdoor seating",
"No-contact delivery",
"Delivery",
"Drive-through",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection"
]
},
{
"popular_for": [
"Breakfast",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom"
]
},
{
"offerings": [
"Coffee",
"Prepared foods",
"Quick bite"
]
},
{
"dining_options": [
"Breakfast",
"Lunch",
"Dessert",
"Seating",
"Table service"
]
},
{
"amenities": [
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Trendy"
]
},
{
"crowd": [
"Family-friendly",
"Tourists"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids",
"High chairs"
]
},
{
"parking": [
"Free parking garage",
"Free parking lot",
"Free street parking",
"Paid parking lot",
"Parking"
]
},
{
"pets": [
"Dogs allowed outside"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Comfort food",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Healthy options",
"Late-night food",
"Private dining room",
"Small plates",
"Vegan options",
"Vegetarian options",
"Wine"
]
},
{
"dining_options": [
"Order ahead",
"Brunch",
"Dinner",
"Catering"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary",
"Historic",
"Romantic",
"Upscale"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Price level",
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "41 Main St,Millburn, NJ 07041",
"open_state": "Open · Closes 7 PM",
"hours": "Open · Closes 7 PM",
"operating_hours": {
"thursday": "7 AM–7 PM",
"friday": "7 AM–8 PM",
"saturday": "7 AM–8 PM",
"sunday": "7 AM–7 PM",
"monday": "7 AM–7 PM",
"tuesday": "7 AM–7 PM",
"wednesday": "7 AM–7 PM"
},
"phone": "+19732186559",
"website": "https://coffeemillroasters.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipPaGPWJl30qoXi254eT_13b-oNvN1QDZH66zqm1=w114-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipPaGPWJl30qoXi254eT_13b-oNvN1QDZH66zqm1=w2016-h1512-k-no",
"google_maps_url": "https://www.google.com/maps/place/Coffee+Mill+Roasters/@40.7243247,-74.3075842,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3ac2ba1cefc9f:0xb73e41ed6432608!8m2!3d40.7243247!4d-74.3075842!16s",
"rank": 5
},
{
"title": "Ahrre's Coffee Roastery",
"place_id": "ChIJ44Sdv6ixw4kRoN8Yoi8VVB0",
"data_id": "0x89c3b1a8bf9d84e3:0x1d54152fa218dfa0",
"data_cid": "2113337419470790560",
"gps_coordinates": {
"latitude": 40.6520394,
"longitude": -74.34850829999999
},
"provider_id": "/g/1tfqgrcf",
"rating": 4.7,
"reviews": 187,
"type": "Coffee roasters",
"types": [
"Coffee roasters",
"Tea house"
],
"type_ids": [
"coffee_roasters",
"tea_house"
],
"extensions": [
{
"service_options": [
"Delivery",
"Onsite services",
"Takeout"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"payments": [
"Cash-only"
]
}
],
"address": "104 Elm St,Westfield, NJ 07090",
"open_state": "Open · Closes 6 PM",
"hours": "Open · Closes 6 PM",
"operating_hours": {
"thursday": "8 AM–6 PM",
"friday": "8 AM–6 PM",
"saturday": "9 AM–6 PM",
"sunday": "9 AM–5 PM",
"monday": "8 AM–6 PM",
"tuesday": "8 AM–6 PM",
"wednesday": "8 AM–6 PM"
},
"phone": "+19082327977",
"website": "http://www.ahrre.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipP4327R5f73c2zXlnDJGkwBz-8OG4YJj5fvRsQ1=w86-h127-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipP4327R5f73c2zXlnDJGkwBz-8OG4YJj5fvRsQ1=w715-h1064-k-no",
"google_maps_url": "https://www.google.com/maps/place/Ahrre's+Coffee+Roastery/@40.6520394,-74.34850829999999,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b1a8bf9d84e3:0x1d54152fa218dfa0!8m2!3d40.6520394!4d-74.34850829999999!16s",
"rank": 6
},
{
"title": "Queen City Coffee Roasters",
"place_id": "ChIJnZT58Ye7w4kRzntvcIy3Zbo",
"data_id": "0x89c3bb87f1f9949d:0xba65b78c706f7bce",
"data_cid": "-5015400796197520434",
"gps_coordinates": {
"latitude": 40.6183293,
"longitude": -74.4180092
},
"provider_id": "/g/11h_2lr_kh",
"rating": 4.8,
"reviews": 594,
"price": "$1–10",
"type": "Coffee shop",
"types": [
"Coffee shop",
"Art gallery",
"Cafe",
"Coffee roasters",
"Dessert shop"
],
"type_ids": [
"coffee_shop",
"art_gallery",
"cafe",
"coffee_roasters",
"dessert_shop"
],
"extensions": [
{
"service_options": [
"Outdoor seating",
"No-contact delivery",
"Delivery",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection",
"Live music",
"Live performances",
"Serves local specialty"
]
},
{
"popular_for": [
"Breakfast",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible restroom",
"Wheelchair accessible seating"
]
},
{
"offerings": [
"Coffee",
"Prepared foods",
"Quick bite",
"Small plates",
"Vegan options",
"Vegetarian options"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Catering",
"Dessert",
"Seating",
"Table service"
]
},
{
"amenities": [
"Bar onsite",
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Trendy"
]
},
{
"crowd": [
"College students",
"Family-friendly",
"Tourists"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids"
]
},
{
"parking": [
"Free street parking",
"Paid street parking",
"Parking"
]
},
{
"pets": [
"Dogs allowed outside"
]
},
{
"service_options": [
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Go for just dessert",
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Wine"
]
},
{
"dining_options": [
"Order ahead"
]
},
{
"atmosphere": [
"Contemporary",
"Historic",
"Upscale"
]
},
{
"crowd": [
"Business dinner"
]
},
{
"planning": [
"Appointment required",
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Price level",
"Cash-only"
]
},
{
"children": [
"High chairs"
]
}
],
"address": "200 Court Pl,Plainfield, NJ 07060",
"open_state": "Open · Closes 7 PM",
"hours": "Open · Closes 7 PM",
"operating_hours": {
"thursday": "7 AM–7 PM",
"friday": "7 AM–11 PM",
"saturday": "9 AM–11 PM",
"sunday": "9 AM–10 PM",
"monday": "7 AM–7 PM",
"tuesday": "7 AM–7 PM",
"wednesday": "7 AM–7 PM"
},
"phone": "+19089560038",
"website": "https://queencitycoffeeroasters.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipN9Somrg7vC-WCQU1m1VMoXI9lRG1Tb6ZUjriI6=w114-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipN9Somrg7vC-WCQU1m1VMoXI9lRG1Tb6ZUjriI6=w4032-h3024-k-no",
"google_maps_url": "https://www.google.com/maps/place/Queen+City+Coffee+Roasters/@40.6183293,-74.4180092,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3bb87f1f9949d:0xba65b78c706f7bce!8m2!3d40.6183293!4d-74.4180092!16s",
"rank": 7
},
{
"title": "The Cafe Luna",
"place_id": "ChIJ2xawPgCvw4kRPqiqx6PoLTc",
"data_id": "0x89c3af003eb016db:0x372de8a3c7aaa83e",
"data_cid": "3976089836165179454",
"gps_coordinates": {
"latitude": 40.695534099999996,
"longitude": -74.4032764
},
"provider_id": "/g/11v_2frj6z",
"rating": 4.8,
"reviews": 148,
"price": "$1–10",
"type": "Coffee shop",
"types": [
"Coffee shop"
],
"type_ids": [
"coffee_shop"
],
"extensions": [
{
"service_options": [
"Outdoor seating",
"Onsite services",
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection"
]
},
{
"popular_for": [
"Breakfast",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom"
]
},
{
"offerings": [
"Coffee",
"Healthy options",
"Quick bite",
"Vegan options",
"Vegetarian options"
]
},
{
"dining_options": [
"Breakfast",
"Dessert",
"Seating"
]
},
{
"amenities": [
"Restroom",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet",
"Trendy"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments"
]
},
{
"children": [
"Good for kids"
]
},
{
"parking": [
"Free parking lot",
"Free street parking",
"Paid parking lot",
"Parking"
]
},
{
"pets": [
"Dogs allowed inside",
"Dogs allowed outside"
]
},
{
"service_options": [
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live performances",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour food",
"Hard liquor",
"Private dining room",
"Wine"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary",
"Historic"
]
},
{
"crowd": [
"Business dinner"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "43 Floral Ave,New Providence, NJ 07974",
"open_state": "Open · Closes 4 PM",
"hours": "Open · Closes 4 PM",
"operating_hours": {
"thursday": "7 AM–4 PM",
"friday": "7 AM–4 PM",
"saturday": "8 AM–3 PM",
"sunday": "8 AM–3 PM",
"monday": "7 AM–4 PM",
"tuesday": "7 AM–4 PM",
"wednesday": "7 AM–4 PM"
},
"phone": "+18623084410",
"website": "https://thecafeluna.com/",
"thumbnail": "https://lh3.googleusercontent.com/gps-cs-s/AHVAwerJJ1cFB7vWi3afqw6q_ckWNicUx5JDTuahyMtq_cZiwt7Phwb6ytNi0U9_t-ylPlxzo5qTIa9MhFlr9PpiDLq0QBN76k0Iu8k9TCSc4oOWMsNuy6rvtfMNQDdTOHVIJ8t19D1I8g=w86-h114-k-no",
"image": "https://lh3.googleusercontent.com/gps-cs-s/AHVAwerJJ1cFB7vWi3afqw6q_ckWNicUx5JDTuahyMtq_cZiwt7Phwb6ytNi0U9_t-ylPlxzo5qTIa9MhFlr9PpiDLq0QBN76k0Iu8k9TCSc4oOWMsNuy6rvtfMNQDdTOHVIJ8t19D1I8g=w4284-h5712-k-no",
"google_maps_url": "https://www.google.com/maps/place/The+Cafe+Luna/@40.695534099999996,-74.4032764,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3af003eb016db:0x372de8a3c7aaa83e!8m2!3d40.695534099999996!4d-74.4032764!16s",
"rank": 8
},
{
"title": "Coffee House",
"place_id": "ChIJ6waUblFNwokRwkbI58R2N-w",
"data_id": "0x89c24d516e9406eb:0xec3776c4e7c846c2",
"data_cid": "-1425540168965142846",
"gps_coordinates": {
"latitude": 40.662005799999996,
"longitude": -74.2110655
},
"provider_id": "/g/1tfn3n9w",
"rating": 4.1,
"reviews": 334,
"price": "$10–20",
"type": "Coffee shop",
"types": [
"Coffee shop",
"Tea store"
],
"type_ids": [
"coffee_shop",
"tea_store"
],
"extensions": [
{
"service_options": [
"Outdoor seating",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee",
"Great dessert",
"Great tea selection",
"Serves local specialty"
]
},
{
"popular_for": [
"Breakfast",
"Lunch",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible restroom",
"Wheelchair accessible seating"
]
},
{
"offerings": [
"Coffee",
"Comfort food",
"Quick bite",
"Small plates"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Dessert",
"Seating",
"Table service"
]
},
{
"amenities": [
"Restroom",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet",
"Trendy"
]
},
{
"crowd": [
"College students",
"Family-friendly",
"Groups"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids"
]
},
{
"parking": [
"Parking"
]
},
{
"service_options": [
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Rooftop seating"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Alcohol",
"Beer",
"Cocktails",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Late-night food",
"Wine"
]
},
{
"dining_options": [
"Order ahead"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Historic",
"Romantic",
"Upscale"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Price level",
"Cash-only"
]
},
{
"children": [
"High chairs"
]
},
{
"pets": [
"Dogs allowed"
]
}
],
"address": "1089 Elizabeth Ave,Elizabeth, NJ 07201",
"open_state": "Open · Closes 8 PM",
"hours": "Open · Closes 8 PM",
"operating_hours": {
"thursday": "6 AM–8 PM",
"friday": "6 AM–8 PM",
"saturday": "7 AM–7 PM",
"sunday": "Closed",
"monday": "6 AM–8 PM",
"tuesday": "6 AM–8 PM",
"wednesday": "6 AM–8 PM"
},
"phone": "+19084695950",
"unclaimed_business": true,
"thumbnail": "https://lh3.googleusercontent.com/gps-cs-s/AHVAweqATWlLkERA3jbRCGBPK3EnbB4pSTdiB_z4K6PDU_rqimN5H1uUPFItq_eAFA489592e_Oq4xppXTA6GHmWvIQItoKJl803cCkAirkFXZ0sVBtla9WHVAIM-UtkXGHLXjblV_crlg=w86-h114-k-no",
"image": "https://lh3.googleusercontent.com/gps-cs-s/AHVAweqATWlLkERA3jbRCGBPK3EnbB4pSTdiB_z4K6PDU_rqimN5H1uUPFItq_eAFA489592e_Oq4xppXTA6GHmWvIQItoKJl803cCkAirkFXZ0sVBtla9WHVAIM-UtkXGHLXjblV_crlg=w3024-h4032-k-no",
"google_maps_url": "https://www.google.com/maps/place/Coffee+House/@40.662005799999996,-74.2110655,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c24d516e9406eb:0xec3776c4e7c846c2!8m2!3d40.662005799999996!4d-74.2110655!16s",
"rank": 9
},
{
"title": "LeGrand Coffee House",
"place_id": "ChIJpxt-osq1w4kRYUDkEJpd3dY",
"data_id": "0x89c3b5caa27e1ba7:0xd6dd5d9a10e44061",
"data_cid": "-2964110063450177439",
"gps_coordinates": {
"latitude": 40.5579441,
"longitude": -74.2768785
},
"provider_id": "/g/11rsrw8rd4",
"rating": 4.7,
"reviews": 340,
"price": "$1–10",
"type": "Coffee shop",
"types": [
"Coffee shop"
],
"type_ids": [
"coffee_shop"
],
"extensions": [
{
"from_the_business": [
"Identifies as Black-owned",
"Identifies as disabled-owned"
]
},
{
"service_options": [
"Outdoor seating",
"Onsite services",
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection",
"Serves local specialty"
]
},
{
"popular_for": [
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom",
"Wheelchair accessible seating"
]
},
{
"offerings": [
"Coffee",
"Quick bite"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Dessert",
"Seating"
]
},
{
"amenities": [
"Gender-neutral restroom",
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet",
"Trendy"
]
},
{
"crowd": [
"College students",
"Family-friendly",
"Groups",
"LGBTQ+ friendly",
"Tourists",
"Transgender safespace"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids"
]
},
{
"parking": [
"Free parking lot",
"Free street parking",
"Parking"
]
},
{
"service_options": [
"Curbside pickup",
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Private dining room",
"Wine"
]
},
{
"dining_options": [
"Order ahead"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary",
"Historic"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "10 Green St Unit 5,Woodbridge, NJ 07095",
"open_state": "Open · Closes 4 PM",
"hours": "Open · Closes 4 PM",
"operating_hours": {
"thursday": "7 AM–4 PM",
"friday": "7 AM–4 PM",
"saturday": "7 AM–4 PM",
"sunday": "7 AM–4 PM",
"monday": "7 AM–4 PM",
"tuesday": "7 AM–4 PM",
"wednesday": "7 AM–4 PM"
},
"phone": "+17323262300",
"website": "https://legrandcoffeehouse.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipNreE4q0PDYW6a69OEX-8qX0E-evtCxBxB0TjLl=w129-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipNreE4q0PDYW6a69OEX-8qX0E-evtCxBxB0TjLl=w3600-h2400-k-no",
"google_maps_url": "https://www.google.com/maps/place/LeGrand+Coffee+House/@40.5579441,-74.2768785,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b5caa27e1ba7:0xd6dd5d9a10e44061!8m2!3d40.5579441!4d-74.2768785!16s",
"rank": 10
},
{
"title": "R&Beans",
"place_id": "ChIJLS87JbW1w4kRTnKQUYQbNrs",
"data_id": "0x89c3b5b5253b2f2d:0xbb361b845190724e",
"data_cid": "-4956744084756598194",
"gps_coordinates": {
"latitude": 40.5777661,
"longitude": -74.279259
},
"provider_id": "/g/11lmf_45nl",
"rating": 4.9,
"reviews": 175,
"price": "$1–10",
"type": "Coffee shop",
"types": [
"Coffee shop",
"Cafe"
],
"type_ids": [
"coffee_shop",
"cafe"
],
"extensions": [
{
"service_options": [
"Onsite services",
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection"
]
},
{
"popular_for": [
"Breakfast",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible parking lot"
]
},
{
"offerings": [
"Coffee",
"Quick bite"
]
},
{
"dining_options": [
"Breakfast",
"Dessert",
"Table service"
]
},
{
"amenities": [
"Restroom"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet",
"Trendy"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments"
]
},
{
"parking": [
"Free street parking",
"Parking"
]
},
{
"service_options": [
"Curbside pickup",
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Comfort food",
"Happy hour food",
"Hard liquor",
"Private dining room",
"Wine"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary",
"Historic"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "215 Avenel St,Avenel, NJ 07001",
"open_state": "Open · Closes 4 PM",
"hours": "Open · Closes 4 PM",
"operating_hours": {
"thursday": "7 AM–4 PM",
"friday": "7 AM–4 PM",
"saturday": "7:30 AM–4 PM",
"sunday": "7:30 AM–4 PM",
"monday": "7 AM–4 PM",
"tuesday": "7 AM–4 PM",
"wednesday": "7 AM–4 PM"
},
"phone": "+19089942999",
"website": "https://rnbeans.square.site/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipMAJuShOTc9zBODz813W9Rx-BJUAvWqGHY3Etpi=w86-h114-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipMAJuShOTc9zBODz813W9Rx-BJUAvWqGHY3Etpi=w3024-h4032-k-no",
"google_maps_url": "https://www.google.com/maps/place/R&Beans/@40.5777661,-74.279259,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b5b5253b2f2d:0xbb361b845190724e!8m2!3d40.5777661!4d-74.279259!16s",
"rank": 11
},
{
"title": "The Coffee Box",
"place_id": "ChIJt80yr1ezw4kRDv0520Jy_Bw",
"data_id": "0x89c3b357af32cdb7:0x1cfc7242db39fd0e",
"data_cid": "2088669958664486158",
"gps_coordinates": {
"latitude": 40.6071299,
"longitude": -74.2753817
},
"provider_id": "/g/11h3kwmtwb",
"rating": 4.6,
"reviews": 437,
"price": "$10–20",
"type": "Coffee shop",
"types": [
"Coffee shop",
"Breakfast restaurant",
"Cafe",
"Restaurant"
],
"type_ids": [
"coffee_shop",
"breakfast_restaurant",
"cafe",
"restaurant"
],
"extensions": [
{
"service_options": [
"Outdoor seating",
"Curbside pickup",
"No-contact delivery",
"Delivery",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee",
"Great dessert",
"Great tea selection",
"Live music",
"Live performances"
]
},
{
"popular_for": [
"Breakfast",
"Lunch",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible restroom",
"Wheelchair accessible seating",
"Assistive hearing loop"
]
},
{
"offerings": [
"Coffee",
"Comfort food",
"Healthy options",
"Prepared foods",
"Quick bite",
"Small plates",
"Vegan options",
"Vegetarian options"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Catering",
"Dessert",
"Seating"
]
},
{
"amenities": [
"Gender-neutral restroom",
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Trendy"
]
},
{
"crowd": [
"College students",
"Family-friendly",
"LGBTQ+ friendly",
"Tourists",
"Transgender safespace"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids",
"High chairs"
]
},
{
"parking": [
"Parking"
]
},
{
"pets": [
"Dogs allowed outside"
]
},
{
"service_options": [
"Drive-through"
]
},
{
"highlights": [
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Gluten-free options",
"Hot tea",
"OK to order just coffee",
"OK to order just drinks",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Late-night food",
"Organic dishes",
"Private dining room",
"Wine"
]
},
{
"dining_options": [
"Order ahead"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary",
"Historic"
]
},
{
"crowd": [
"LGBT"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
},
{
"parking": [
"Valet parking"
]
}
],
"address": "1465 Irving St,Rahway, NJ 07065",
"open_state": "Open · Closes 4 PM",
"hours": "Open · Closes 4 PM",
"operating_hours": {
"thursday": "7:45 AM–4 PM",
"friday": "7:45 AM–4 PM",
"saturday": "7:45 AM–4 PM",
"sunday": "7:45 AM–4 PM",
"monday": "7:45 AM–4 PM",
"tuesday": "7:45 AM–4 PM",
"wednesday": "7:45 AM–4 PM"
},
"phone": "+17329432354",
"website": "http://www.cofbx.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipPtHN8BX-Q1sBhGmCehlkpH-Zw8P7E601S2C5jY=w152-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipPtHN8BX-Q1sBhGmCehlkpH-Zw8P7E601S2C5jY=w3024-h1702-k-no",
"google_maps_url": "https://www.google.com/maps/place/The+Coffee+Box/@40.6071299,-74.2753817,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b357af32cdb7:0x1cfc7242db39fd0e!8m2!3d40.6071299!4d-74.2753817!16s",
"rank": 12
},
{
"title": "Coffee & Company",
"place_id": "ChIJLynBDEOXw4kR9Rpquw1sUKU",
"data_id": "0x89c397430cc1292f:0xa5506c0dbb6a1af5",
"data_cid": "-6534604253079921931",
"gps_coordinates": {
"latitude": 40.6842052,
"longitude": -74.63528579999999
},
"provider_id": "/g/11s6ynh9zb",
"rating": 3,
"reviews": 18,
"price": "$1–10",
"type": "Coffee shop",
"types": [
"Coffee shop"
],
"type_ids": [
"coffee_shop"
],
"extensions": [
{
"service_options": [
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection"
]
},
{
"popular_for": [
"Solo dining"
]
},
{
"accessibility": [
"Wheelchair accessible parking lot"
]
},
{
"offerings": [
"Coffee",
"Quick bite"
]
},
{
"dining_options": [
"Lunch",
"Dessert",
"Table service"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet"
]
},
{
"payments": [
"Checks",
"NFC mobile payments"
]
},
{
"parking": [
"Free street parking"
]
},
{
"service_options": [
"Curbside pickup",
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Live music",
"Rooftop seating",
"Sports"
]
},
{
"offerings": [
"Alcohol",
"Beer",
"Cocktails",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Late-night food",
"Wine"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Historic",
"Romantic",
"Upscale"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only",
"Credit cards",
"Credit cards"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "35 US-202,Far Hills, NJ 07931",
"open_state": "Open · Closes 6 PM",
"hours": "Open · Closes 6 PM",
"operating_hours": {
"thursday": "8 AM–6 PM",
"friday": "8 AM–6 PM",
"saturday": "8 AM–3 PM",
"sunday": "Closed",
"monday": "8 AM–6 PM",
"tuesday": "8 AM–6 PM",
"wednesday": "8 AM–6 PM"
},
"phone": "+19088095566",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipPUpQASx3puxMxKMYnS9_SpvE5HCNcmYAipd2Wn=w114-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipPUpQASx3puxMxKMYnS9_SpvE5HCNcmYAipd2Wn=w720-h540-k-no",
"google_maps_url": "https://www.google.com/maps/place/Coffee+&+Company/@40.6842052,-74.63528579999999,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c397430cc1292f:0xa5506c0dbb6a1af5!8m2!3d40.6842052!4d-74.63528579999999!16s",
"rank": 13
},
{
"title": "The Coffee Shop",
"place_id": "ChIJI8MXpcqiw4kRmFTlI8TpF44",
"data_id": "0x89c3a2caa517c323:0x8e17e9c423e55498",
"data_cid": "-8207834767234345832",
"gps_coordinates": {
"latitude": 40.718812299999996,
"longitude": -74.56904469999999
},
"provider_id": "/g/1vcl4py1",
"rating": 4.7,
"reviews": 707,
"price": "$10–20",
"type": "Diner",
"types": [
"Diner",
"Brunch restaurant"
],
"type_ids": [
"diner",
"brunch_restaurant"
],
"extensions": [
{
"service_options": [
"Outdoor seating",
"Curbside pickup",
"No-contact delivery",
"Delivery",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee"
]
},
{
"popular_for": [
"Breakfast",
"Lunch",
"Solo dining"
]
},
{
"accessibility": [
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom",
"Wheelchair accessible seating"
]
},
{
"offerings": [
"Coffee",
"Comfort food",
"Healthy options",
"Quick bite"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Catering",
"Counter service",
"Dessert",
"Seating",
"Table service"
]
},
{
"amenities": [
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy"
]
},
{
"crowd": [
"Family-friendly",
"Groups",
"Tourists"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids",
"High chairs",
"Kids' menu"
]
},
{
"parking": [
"Free parking lot",
"Free street parking",
"Parking"
]
},
{
"service_options": [
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Great cocktails",
"Live music",
"Rooftop seating",
"Sports"
]
},
{
"offerings": [
"Alcohol",
"All you can eat",
"Beer",
"Braille menu",
"Cocktails",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Late-night food",
"Salad bar",
"Wine"
]
},
{
"dining_options": [
"Order ahead",
"Counter seating",
"Dinner"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Romantic",
"Upscale"
]
},
{
"planning": [
"Reservations required",
"Usually a wait"
]
},
{
"payments": [
"Price level",
"Cash-only"
]
},
{
"children": [
"Good for kids birthday"
]
},
{
"pets": [
"Dogs allowed"
]
},
{
"not_for_display": [
"Staff required to disinfect surfaces between visits",
"Staff wear masks",
"Staff get temperature checks",
"Temperature check required"
]
}
],
"address": "23&24,23 Olcott Square,Bernardsville, NJ 07924",
"open_state": "Open · Closes 3 PM",
"hours": "Open · Closes 3 PM",
"operating_hours": {
"thursday": "6 AM–3 PM",
"friday": "6 AM–3 PM",
"saturday": "6 AM–3 PM",
"sunday": "6 AM–3 PM",
"monday": "6 AM–3 PM",
"tuesday": "6 AM–3 PM",
"wednesday": "6 AM–3 PM"
},
"phone": "+19087666806",
"website": "http://thecoffeeshopbernardsville.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipNrW2tguiL9LkIoA8bJoEhKD_vyXk12Tz8x2wWg=w86-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipNrW2tguiL9LkIoA8bJoEhKD_vyXk12Tz8x2wWg=w1078-h1084-k-no",
"google_maps_url": "https://www.google.com/maps/place/The+Coffee+Shop/@40.718812299999996,-74.56904469999999,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3a2caa517c323:0x8e17e9c423e55498!8m2!3d40.718812299999996!4d-74.56904469999999!16s",
"rank": 14
},
{
"title": "Community Cafe - Inspired by Lumin Ecosystem",
"place_id": "ChIJlYXRdwCtw4kRFb06TrKQ6LQ",
"data_id": "0x89c3ad0077d18595:0xb4e890b24e3abd15",
"data_cid": "-5410915856794600171",
"gps_coordinates": {
"latitude": 40.7181323,
"longitude": -74.272183
},
"provider_id": "/g/11wqvkkw00",
"rating": 4.7,
"reviews": 27,
"price": "$10–20",
"type": "Coffee shop",
"types": [
"Coffee shop",
"Cafe"
],
"type_ids": [
"coffee_shop",
"cafe"
],
"extensions": [
{
"from_the_business": [
"Identifies as Asian-owned",
"Identifies as Black-owned",
"Identifies as Indigenous-owned",
"Identifies as Latino-owned",
"Identifies as LGBTQ+ owned",
"Identifies as women-owned",
"Small business"
]
},
{
"service_options": [
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Great coffee",
"Great dessert",
"Great tea selection"
]
},
{
"popular_for": [
"Breakfast",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible parking lot"
]
},
{
"offerings": [
"Coffee",
"Comfort food",
"Organic dishes",
"Quick bite",
"Vegan options",
"Vegetarian options"
]
},
{
"dining_options": [
"Breakfast",
"Lunch",
"Dessert",
"Seating"
]
},
{
"amenities": [
"Gender-neutral restroom",
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Trendy"
]
},
{
"crowd": [
"Family-friendly",
"LGBTQ+ friendly",
"Transgender safespace"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids",
"High chairs",
"Kids' menu"
]
},
{
"parking": [
"Free street parking",
"Parking"
]
},
{
"from_the_business": [
"Identifies as disabled-owned",
"Identifies as veteran-owned"
]
},
{
"service_options": [
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Rooftop seating",
"Sports"
]
},
{
"offerings": [
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour food",
"Hard liquor",
"Wine"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only"
]
}
],
"address": "90 Laurel Ave,Union, NJ 07083",
"open_state": "Open · Closes 4 PM",
"hours": "Open · Closes 4 PM",
"operating_hours": {
"thursday": "9 AM–4 PM",
"friday": "9 AM–4 PM",
"saturday": "9 AM–3 PM",
"sunday": "9 AM–3 PM",
"monday": "Closed",
"tuesday": "Closed",
"wednesday": "Closed"
},
"phone": "+16465801516",
"website": "https://www.lumin-eco.com/communitycafe",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipNlXXfc6T9Yh_U1z1fe2LpRF0o6Z3Xha-fJ8r7f=w120-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipNlXXfc6T9Yh_U1z1fe2LpRF0o6Z3Xha-fJ8r7f=w2000-h1429-k-no",
"google_maps_url": "https://www.google.com/maps/place/Community+Cafe+-+Inspired+by+Lumin+Ecosystem/@40.7181323,-74.272183,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3ad0077d18595:0xb4e890b24e3abd15!8m2!3d40.7181323!4d-74.272183!16s",
"rank": 15
},
{
"title": "Colombian Coffee Shop",
"place_id": "ChIJp9wh6rCyw4kRsB-GJILvogw",
"data_id": "0x89c3b2b0ea21dca7:0xca2ef8224861fb0",
"data_cid": "910553416919818160",
"gps_coordinates": {
"latitude": 40.6574184,
"longitude": -74.2278267
},
"provider_id": "/g/11g6ltgt4h",
"rating": 4.7,
"reviews": 338,
"type": "Coffee shop",
"types": [
"Coffee shop",
"Bakery",
"Cafeteria",
"Colombian restaurant",
"Restaurant"
],
"type_ids": [
"coffee_shop",
"bakery",
"cafeteria",
"colombian_restaurant",
"restaurant"
],
"extensions": [
{
"from_the_business": [
"Identifies as Latino-owned"
]
},
{
"service_options": [
"Outdoor seating",
"Delivery",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection",
"Serves local specialty"
]
},
{
"popular_for": [
"Breakfast",
"Lunch",
"Solo dining"
]
},
{
"offerings": [
"Coffee",
"Comfort food",
"Quick bite",
"Small plates"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Dessert",
"Seating",
"Table service"
]
},
{
"amenities": [
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet",
"Trendy"
]
},
{
"crowd": [
"Family-friendly",
"Tourists"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids"
]
},
{
"parking": [
"Free street parking"
]
},
{
"service_options": [
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Good for working on laptop"
]
},
{
"offerings": [
"Alcohol",
"Beer",
"Cocktails",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Late-night food",
"Private dining room",
"Vegan options",
"Vegetarian options",
"Wine"
]
},
{
"dining_options": [
"Order ahead",
"Counter seating"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Historic",
"Romantic",
"Upscale"
]
},
{
"crowd": [
"Business dinner"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Price level",
"Cash-only",
"Checks"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "505 1/2 Rahway Ave,Elizabeth, NJ 07202",
"open_state": "Open · Closes 5 PM",
"hours": "Open · Closes 5 PM",
"operating_hours": {
"thursday": "6:30 AM–5 PM",
"friday": "6:30 AM–5 PM",
"saturday": "6:30 AM–4 PM",
"sunday": "6:30 AM–4 PM",
"monday": "6:30 AM–5 PM",
"tuesday": "6:30 AM–5 PM",
"wednesday": "6:30 AM–5 PM"
},
"phone": "+19084464087",
"website": "https://www.colombiancshop.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipNHWaImS_u9RxDVzRyOsghwk5Zt2HBbCgx_h8NH=w153-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipNHWaImS_u9RxDVzRyOsghwk5Zt2HBbCgx_h8NH=w1500-h843-k-no",
"google_maps_url": "https://www.google.com/maps/place/Colombian+Coffee+Shop/@40.6574184,-74.2278267,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b2b0ea21dca7:0xca2ef8224861fb0!8m2!3d40.6574184!4d-74.2278267!16s",
"rank": 16
},
{
"title": "Cup of Brooklyn",
"place_id": "ChIJBacu9RJcwokRTkIGSr7HxRs",
"data_id": "0x89c25c12f52ea705:0x1bc5c7be4a06424e",
"data_cid": "2001225229535691342",
"gps_coordinates": {
"latitude": 40.6895709,
"longitude": -73.9225749
},
"provider_id": "/g/11c4_s902z",
"rating": 4.4,
"reviews": 465,
"price": "$10–20",
"type": "Cafe",
"types": [
"Cafe"
],
"type_ids": [
"cafe"
],
"extensions": [
{
"service_options": [
"Outdoor seating",
"Delivery",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection"
]
},
{
"popular_for": [
"Breakfast",
"Lunch",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible parking lot"
]
},
{
"offerings": [
"Coffee",
"Healthy options",
"Quick bite",
"Small plates",
"Vegan options",
"Vegetarian options"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Catering",
"Dessert",
"Seating",
"Table service"
]
},
{
"amenities": [
"Bar onsite",
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Trendy"
]
},
{
"crowd": [
"College students",
"Tourists"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments"
]
},
{
"children": [
"Good for kids"
]
},
{
"parking": [
"Free street parking",
"Paid street parking",
"Parking"
]
},
{
"pets": [
"Dogs allowed outside"
]
},
{
"service_options": [
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Private events",
"Rooftop seating",
"Sports"
]
},
{
"offerings": [
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Late-night food",
"Private dining room",
"Wine"
]
},
{
"dining_options": [
"Order ahead",
"Dinner"
]
},
{
"atmosphere": [
"Contemporary",
"Historic",
"Romantic",
"Special occasions",
"Upscale"
]
},
{
"crowd": [
"Business dinner"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"payments": [
"Price level",
"Cash-only"
]
},
{
"children": [
"High chairs",
"Kids' menu"
]
}
],
"address": "1071 Gates Ave,Brooklyn, NY 11221",
"open_state": "Open · Closes 4 PM",
"hours": "Open · Closes 4 PM",
"operating_hours": {
"thursday": "8 AM–4 PM",
"friday": "8 AM–5 PM",
"saturday": "9 AM–5 PM",
"sunday": "9 AM–5 PM",
"monday": "8 AM–4 PM",
"tuesday": "8 AM–4 PM",
"wednesday": "8 AM–4 PM"
},
"phone": "+17185522221",
"website": "https://www.cupofbrooklyn.com/",
"description": "Hip caffeine cafe with breakfast & lunch. Funky, work-friendly coffee & tea shop with breakfast burritos, baked goods, bagels & sandwiches.",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipOA6lyQx4H64NYLNZg_w5C9aPnCqZFTY2Gj0mW7=w86-h114-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipOA6lyQx4H64NYLNZg_w5C9aPnCqZFTY2Gj0mW7=w3024-h4032-k-no",
"google_maps_url": "https://www.google.com/maps/place/Cup+of+Brooklyn/@40.6895709,-73.9225749,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c25c12f52ea705:0x1bc5c7be4a06424e!8m2!3d40.6895709!4d-73.9225749!16s",
"rank": 17
},
{
"title": "Halo Roasters",
"place_id": "ChIJ7ZZhmMWvw4kRTU-geJafuDE",
"data_id": "0x89c3afc5986196ed:0x31b89f9678a04f4d",
"data_cid": "3582788972190912333",
"gps_coordinates": {
"latitude": 40.704649499999995,
"longitude": -74.3176004
},
"provider_id": "/g/11lgp3g7gb",
"rating": 4.8,
"reviews": 570,
"price": "$10–20",
"type": "Coffee shop",
"types": [
"Coffee shop"
],
"type_ids": [
"coffee_shop"
],
"extensions": [
{
"from_the_business": [
"Identifies as women-owned",
"Small business"
]
},
{
"service_options": [
"Outdoor seating",
"Delivery",
"Onsite services",
"Takeout",
"Dine-in"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection",
"Serves local specialty"
]
},
{
"popular_for": [
"Breakfast",
"Lunch",
"Solo dining",
"Good for working on laptop"
]
},
{
"accessibility": [
"Wheelchair accessible entrance",
"Wheelchair accessible parking lot",
"Wheelchair accessible restroom",
"Wheelchair accessible seating"
]
},
{
"offerings": [
"Coffee",
"Comfort food",
"Healthy options",
"Organic dishes",
"Quick bite",
"Small plates",
"Vegan options",
"Vegetarian options"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Dinner",
"Catering",
"Dessert",
"Seating"
]
},
{
"amenities": [
"Gender-neutral restroom",
"Restroom",
"Wi-Fi",
"Wi-Fi"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Trendy"
]
},
{
"crowd": [
"Family-friendly",
"Groups",
"LGBTQ+ friendly",
"Transgender safespace"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids",
"High chairs"
]
},
{
"parking": [
"Free parking garage",
"Free parking lot",
"Free street parking",
"On-site parking",
"Paid parking lot",
"Parking"
]
},
{
"pets": [
"Dogs allowed outside"
]
},
{
"service_options": [
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Rooftop seating",
"Sports"
]
},
{
"popular_for": [
"Dates"
]
},
{
"offerings": [
"Hot tea",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour",
"Happy hour drinks",
"Happy hour food",
"Hard liquor",
"Late-night food",
"Private dining room",
"Wine"
]
},
{
"dining_options": [
"Order ahead"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary",
"Historic",
"Romantic",
"Special occasions",
"Upscale"
]
},
{
"crowd": [
"Business dinner"
]
},
{
"planning": [
"Brunch reservations recommended",
"Lunch reservations recommended",
"Dinner reservations recommended",
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Price level",
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "228 Mountain Ave,Springfield, NJ 07081",
"open_state": "Open · Closes 5 PM",
"hours": "Open · Closes 5 PM",
"operating_hours": {
"thursday": "6:30 AM–5 PM",
"friday": "6:30 AM–6 PM",
"saturday": "8 AM–5 PM",
"sunday": "8 AM–5 PM",
"monday": "6:30 AM–5 PM",
"tuesday": "6:30 AM–5 PM",
"wednesday": "6:30 AM–5 PM"
},
"phone": "+19732186633",
"website": "http://haloroasters.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipMQn076KYsxKEbLGu7dZMvc6WBS0adw9eY3JC_p=w86-h107-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipMQn076KYsxKEbLGu7dZMvc6WBS0adw9eY3JC_p=w1124-h1406-k-no",
"google_maps_url": "https://www.google.com/maps/place/Halo+Roasters/@40.704649499999995,-74.3176004,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3afc5986196ed:0x31b89f9678a04f4d!8m2!3d40.704649499999995!4d-74.3176004!16s",
"rank": 18
},
{
"title": "The Coffee Shop",
"place_id": "ChIJQS2FzTu7w4kRnyTzoisBecs",
"data_id": "0x89c3bb3bcd852d41:0xcb79012ba2f3249f",
"data_cid": "-3784992724899126113",
"gps_coordinates": {
"latitude": 40.6217368,
"longitude": -74.4129264
},
"provider_id": "/g/11j1hrv7kd",
"rating": 4,
"reviews": 12,
"type": "Coffee shop",
"types": [
"Coffee shop"
],
"type_ids": [
"coffee_shop"
],
"extensions": [
{
"service_options": [
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Great coffee"
]
},
{
"popular_for": [
"Breakfast"
]
},
{
"accessibility": [
"Wheelchair accessible restroom"
]
},
{
"offerings": [
"Coffee",
"Quick bite"
]
},
{
"dining_options": [
"Breakfast",
"Brunch",
"Lunch",
"Dessert",
"Seating",
"Table service"
]
},
{
"amenities": [
"Restroom"
]
},
{
"atmosphere": [
"Casual"
]
},
{
"crowd": [
"Family-friendly"
]
},
{
"planning": [
"Accepts reservations"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments",
"Credit cards"
]
},
{
"children": [
"Good for kids",
"High chairs"
]
},
{
"parking": [
"Free street parking"
]
},
{
"service_options": [
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Rooftop seating",
"Sports"
]
},
{
"offerings": [
"Hot tea",
"OK to order just coffee",
"OK to order just drinks",
"Alcohol",
"Beer",
"Cocktails",
"Happy hour food",
"Hard liquor",
"Wine"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Historic",
"Upscale"
]
},
{
"planning": [
"Usually a wait"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "505 Richmond St,Plainfield, NJ 07060",
"open_state": "Open · Closes 7 PM",
"hours": "Open · Closes 7 PM",
"operating_hours": {
"thursday": "6 AM–7 PM",
"friday": "6 AM–7 PM",
"saturday": "6 AM–7 PM",
"sunday": "7 AM–6 PM",
"monday": "6 AM–7 PM",
"tuesday": "6 AM–7 PM",
"wednesday": "6 AM–7 PM"
},
"phone": "+19082261234",
"website": "https://www.facebook.com/thecoffeeshopnj/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipNxDFiNg6mfRYgiQR0-SSBynFTrw2HpU0333zbf=w152-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipNxDFiNg6mfRYgiQR0-SSBynFTrw2HpU0333zbf=w4032-h2269-k-no",
"google_maps_url": "https://www.google.com/maps/place/The+Coffee+Shop/@40.6217368,-74.4129264,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3bb3bcd852d41:0xcb79012ba2f3249f!8m2!3d40.6217368!4d-74.4129264!16s",
"rank": 19
},
{
"title": "Penstock Coffee Shop & Roastery - Roselle Park",
"place_id": "ChIJOevVHwCzw4kRNSU4cTUbkDU",
"data_id": "0x89c3b3001fd5eb39:0x35901b3571382535",
"data_cid": "3859614797003236661",
"gps_coordinates": {
"latitude": 40.662514099999996,
"longitude": -74.26395649999999
},
"provider_id": "/g/11m6c9cdp6",
"rating": 4.8,
"reviews": 22,
"price": "$1–10",
"type": "Coffee shop",
"types": [
"Coffee shop",
"Breakfast restaurant",
"Coffee roasters",
"Coffee store",
"Espresso bar"
],
"type_ids": [
"coffee_shop",
"breakfast_restaurant",
"coffee_roasters",
"coffee_store",
"espresso_bar"
],
"extensions": [
{
"service_options": [
"Onsite services",
"Takeout",
"Dine-in",
"Delivery"
]
},
{
"highlights": [
"Great coffee",
"Great tea selection"
]
},
{
"popular_for": [
"Breakfast",
"Solo dining"
]
},
{
"offerings": [
"Coffee",
"Quick bite"
]
},
{
"dining_options": [
"Breakfast",
"Dessert"
]
},
{
"atmosphere": [
"Casual",
"Cozy",
"Quiet",
"Trendy"
]
},
{
"crowd": [
"Tourists"
]
},
{
"payments": [
"Credit cards",
"Debit cards",
"NFC mobile payments"
]
},
{
"service_options": [
"Curbside pickup",
"No-contact delivery",
"Drive-through"
]
},
{
"highlights": [
"Fireplace",
"Live music",
"Live performances",
"Rooftop seating",
"Sports"
]
},
{
"offerings": [
"Alcohol",
"Beer",
"Cocktails",
"Happy hour food",
"Hard liquor",
"Private dining room",
"Wine"
]
},
{
"amenities": [
"Bar onsite"
]
},
{
"atmosphere": [
"Contemporary",
"Historic",
"Romantic"
]
},
{
"recycling": [
"Electronics"
]
},
{
"payments": [
"Cash-only"
]
},
{
"children": [
"Kids' menu"
]
}
],
"address": "123 Chestnut St,Roselle Park, NJ 07204",
"open_state": "Open · Closes 5 PM",
"hours": "Open · Closes 5 PM",
"operating_hours": {
"thursday": "8 AM–5 PM",
"friday": "8 AM–5 PM",
"saturday": "8 AM–5 PM",
"sunday": "8 AM–5 PM",
"monday": "8 AM–5 PM",
"tuesday": "Closed",
"wednesday": "8 AM–5 PM"
},
"phone": "+19085730427",
"website": "http://penstockcoffee.com/",
"thumbnail": "https://lh3.googleusercontent.com/p/AF1QipNVJZKI9aAq9pDaq_Mts2HUeVqF1I3BGlqOMbO1=w107-h86-k-no",
"image": "https://lh3.googleusercontent.com/p/AF1QipNVJZKI9aAq9pDaq_Mts2HUeVqF1I3BGlqOMbO1=w1600-h1280-k-no",
"google_maps_url": "https://www.google.com/maps/place/Penstock+Coffee+Shop+&+Roastery+-+Roselle+Park/@40.662514099999996,-74.26395649999999,undefined/data=!3m1!1e3!4m6!3m5!1s0x89c3b3001fd5eb39:0x35901b3571382535!8m2!3d40.662514099999996!4d-74.26395649999999!16s",
"rank": 20
}
]
},
"requestId": "49c5f86f-d630-4d91-a894-8a498df56720",
"timestamp": 1772115596908
}